Get session by id
curl --request GET \
--url https://api.recoupable.dev/api/sessions/{sessionId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.dev/api/sessions/{sessionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.dev/api/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"id": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"isNewBranch": true,
"globalSkillRefs": [
{}
],
"lifecycleVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repoOwner": "<string>",
"repoName": "<string>",
"branch": "<string>",
"cloneUrl": "<string>",
"sandboxState": {},
"lastActivityAt": "2023-11-07T05:31:56Z",
"sandboxExpiresAt": "2023-11-07T05:31:56Z",
"hibernateAfter": "2023-11-07T05:31:56Z",
"lifecycleRunId": "<string>",
"lifecycleError": "<string>",
"linesAdded": 123,
"linesRemoved": 123,
"snapshotUrl": "<string>",
"snapshotCreatedAt": "2023-11-07T05:31:56Z",
"snapshotSizeBytes": 123,
"cachedDiff": {},
"cachedDiffUpdatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Sessions
Get Session
Returns a single agent session by its id.
GET
/
api
/
sessions
/
{sessionId}
Get session by id
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The id of the session to fetch.
Response
Session retrieved successfully
Agent session returned by POST /api/sessions, GET /api/sessions/{sessionId}, and PATCH /api/sessions/{sessionId}. The api serializes every field listed in required on each response, including isNewBranch (boolean, from the non-null sessions.is_new_branch column) and artistId (UUID or null).
Show child attributes
Show child attributes
Was this page helpful?
⌘I
